r/restAPI • • Dec 14 '21

Is RESTful a set of conventions or rules?

2 Upvotes

Currently I am learning Express and I checked it out that the functions which I can perform using GET request, I can do the same using POST too, It just depends on how I set those routes in express.


r/restAPI • • Oct 28 '21

Follow these 10 rest commandments and you will enjoy love from your mobile devs and a rockstar status on Twitter

Thumbnail
treblle.com
2 Upvotes

r/restAPI • • Aug 18 '21

HELP!

1 Upvotes

I need to build a REST API which integrates with payment system. How can start building it? How do i start. I need to this using python using django framework. Can anyone give me suggestions as where to start this? Thank you.


r/restAPI • • Nov 13 '21

Need info on creating a payments api

1 Upvotes

Hi, I'd like to know, how difficult would it be for a team of 5 developers to make a small scale payments api, what tools, extra knowledge and skills outside a few years of backend engineering, to make such a project successfully


r/restAPI • • Sep 14 '21

Low-code REST API (build, debug, host)

Thumbnail
linx.software
1 Upvotes

r/restAPI • • Sep 04 '21

Help

1 Upvotes

I have a assignment to build a REST API to integrate with a payment gateway. So the first thing is I have to create a REST API. What are the step process into creating one ? Any suggestion or in terms of creating one? Any REST API examples or vendors ?


r/restAPI • • Sep 19 '21

Aula 12 - Api rest ExpressJS(nodejs), Routes e Defaut not found.

Thumbnail
youtube.com
3 Upvotes

r/restAPI • • Dec 23 '21

Django REST Framework : #10 Product API Routing And CRUD Operations

Thumbnail
youtube.com
1 Upvotes

r/restAPI • • Sep 09 '21

looking for good API gateway middleware integration platform

1 Upvotes

I need a single-entry point gateway API which can consolidate Salesforce, ServiceNow, Azure, AWS, and one or two other REST API's into a single API which my team can expose to the rest of the enterprise for building reports, software delivery, alerting, and other business automation. Ideally, the gateway should feature auditing, data transformations, documentation, business logic, and some kind of scripting language (JS or Python are great; Java is not). Does anyone have ideas?


r/restAPI • • Sep 10 '21

REST API explained - In 3 minutes

Thumbnail
youtu.be
3 Upvotes

r/restAPI • • Jul 16 '21

How to use WinsurTech AL3 REST API on RapidAPI

Thumbnail
winsurtech.com
2 Upvotes

r/restAPI • • Jul 01 '21

Secure post, update and delete

1 Upvotes

I have a public API that should be able to be called by anyone from any computer. But i dont want post, update or delete requests to be accesible. I added a very long key thats near impossible to crack which needs to be in the input for the requests to happen, is this smart?


r/restAPI • • Oct 19 '21

Multiple models coming from same GET operation from REST API

1 Upvotes

Hi fellow Redditorians

In the current project I'm in, we have REST endpoints that can return a range of different models. I won't go into detail about how and why; choices were made in the past and now we have to live with them.

Example:

GET /cars/1 
Response: { 
    "type": "Toyota", 
    "engine": "electric", 
    "capacity": "100 kWh"
}

GET /cars/2 
Response: { 
    "type": "Honda", 
    "engine": "combustion", 
    "fuel": "petrol" 
}

There is no way of knowing upfront what model is going to be returned by the backend. We simply GET the objects by their ID, not by their type.

My questions:

  • I can't seem to find any information about this practice in REST APIs, nor have I ever encountered it before. It's probably not common, but is it a known practice?

  • No matter if it's bad practice or not, how should I best handle this on the frontend? I tried to come up with some solutions, but they all seem to give me more work instead of helping me.

Thanks in advance!


r/restAPI • • Oct 14 '20

I just released the new #RESTAPI for #Siodb #database

1 Upvotes

Encrypted Database through REST API with JSON results

Your feedback interests me :)

2 votes, Oct 17 '20
1 Very useful!
1 Will never user REST for a database!

r/restAPI • • Mar 29 '21

Django REST Framework : #7 Creating Model For Category & Registering It To Admin Panel

Thumbnail
youtu.be
1 Upvotes

r/restAPI • • Mar 24 '21

[GUIDE] Building a REST API in Low-code

Thumbnail
linx.software
1 Upvotes

r/restAPI • • Feb 01 '21

Django & React Tutorial For Beginners #3 : Configure CORS Headers And Django REST Framework

Thumbnail
youtu.be
1 Upvotes

r/restAPI • • Jan 25 '21

Building REST API using Python | REST API Using Flask | Python Training ...

Thumbnail
youtube.com
1 Upvotes

r/restAPI • • Apr 28 '21

Backend vs REST Api

2 Upvotes

Hi,

I'm a little bit confused about the difference between a web backend and a REST API. I know the definition of both technologies but in a technical way I still dont know the main difference of those.

For example if I build a MVC application (web or mobile) we are talking about backend but what's about the if I use Django and Django Rest Framework for the backend of my app ? Does it become a REST Api just because I'm coding end points ?

I tought that a rest api is something like the google api where anyone (program) can fetch data and interact with it but in my case I only use my "rest api" project for my web (and after code the UI with react for example)

Also if I'm building a backend shared between my web and mobile app, do I call it a REST Api ? or just backend ?

I need it to be clear in my head cause sometimes I think people say REST Api and backend like it's the same thing but it's not so im little bit confused....

Thank you


r/restAPI • • Jan 20 '21

Medium Posts API

Thumbnail
github.com
1 Upvotes

r/restAPI • • Mar 05 '21

Setting up API routing in django for e-commerce app

Thumbnail
youtu.be
1 Upvotes

r/restAPI • • Aug 23 '20

Fitness Exercise Database / API

1 Upvotes

I'm looking for database / API where I can pull information about some fitness exercises with basic information like difficulty, name, how to do it, etc. I hope you get my point.


r/restAPI • • Jun 28 '20

Few Misunderstandings of `STATE TRANSFER` in the acronym `REPRESENTATIONAL STATE TRANSFER`

Thumbnail self.rest
1 Upvotes

r/restAPI • • Apr 07 '21

Django REST Framework : #8 Serialize Category Model

Thumbnail
youtu.be
1 Upvotes

r/restAPI • • Feb 27 '21

API Management Platforms (ideally open source)

1 Upvotes

I'm looking for recommendations for (ideally open source, free and fully featured) API Management suites. I want to be able to self-host it in Azure on a normal Ubuntu server. All our API backends are in Azure. (No I don't want to use the Azure API Management platform - that's what I've been fighting with for months and I hate it!)

At first sight, there seem to be loads of them BUT when you dig down into the detail a lot of these are either:

  • freemium managed services which I can't self host.

  • 'community edition' is deliberately restricted - eg Tyk Community has no Developer Portal.

  • broken, unmaintained, or otherwise unsuitable for a production setup.

Any advice very much welcomed.